searchData={"items":[{"type":"module","title":"GoogleApi.Firebase.V1beta1","doc":"API client metadata for GoogleApi.Firebase.V1beta1.","ref":"GoogleApi.Firebase.V1beta1.html"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.discovery_revision/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects","doc":"API calls for all endpoints tagged `AvailableProjects`.","ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.firebase_available_projects_list/3","doc":"Lists each [Google Cloud Platform (GCP) `Project`] (https://cloud.google.com/resource-manager/reference/rest/v1/projects) that can have Firebase resources added to it. A Project will only be listed if: - The caller has sufficient [Google IAM](https://cloud.google.com/iam) permissions to call AddFirebase. - The Project is not already a FirebaseProject. - The Project is not in an Organization which has policies that prevent Firebase resources from being added.","ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html#firebase_available_projects_list/3"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.AvailableProjects.firebase_available_projects_list/3","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Projects to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `ListAvailableProjects` indicating where in the set of Projects to resume listing.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html#firebase_available_projects_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.AvailableProjects.firebase_available_projects_list/3","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html#firebase_available_projects_list/3-returns"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Api.Operations","doc":"API calls for all endpoints tagged `Operations`.","ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Operations.firebase_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html#firebase_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Operations.firebase_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html#firebase_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Operations.firebase_operations_get/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html#firebase_operations_get/4-returns"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_firebase/4","doc":"Adds Firebase resources to the specified existing [Google Cloud Platform (GCP) `Project`] (https://cloud.google.com/resource-manager/reference/rest/v1/projects). Since a FirebaseProject is actually also a GCP `Project`, a `FirebaseProject` has the same underlying GCP identifiers (`projectNumber` and `projectId`). This allows for easy interop with Google APIs. The result of this call is an [`Operation`](../../v1beta1/operations). Poll the `Operation` to track the provisioning process by calling GetOperation until [`done`](../../v1beta1/operations#Operation.FIELDS.done) is `true`. When `done` is `true`, the `Operation` has either succeeded or failed. If the `Operation` succeeded, its [`response`](../../v1beta1/operations#Operation.FIELDS.response) is set to a FirebaseProject; if the `Operation` failed, its [`error`](../../v1beta1/operations#Operation.FIELDS.error) is set to a google.rpc.Status. The `Operation` is automatically deleted after completion, so there is no need to call DeleteOperation. This method does not modify any billing account information on the underlying GCP `Project`. To call `AddFirebase`, a project member or service account must have the following permissions (the IAM roles of Editor and Owner contain these permissions): `firebase.projects.update`, `resourcemanager.projects.get`, `serviceusage.services.enable`, and `serviceusage.services.get`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_firebase/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_firebase/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - The resource name of the GCP `Project` to which Firebase resources will be added, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values. After calling `AddFirebase`, the unique Project identifiers ( [`projectNumber`](https://cloud.google.com/resource-manager/reference/rest/v1/projects#Project.FIELDS.project_number) and [`projectId`](https://cloud.google.com/resource-manager/reference/rest/v1/projects#Project.FIELDS.project_id)) of the underlying GCP `Project` are also the identifiers of the FirebaseProject.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_firebase/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_firebase/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_firebase/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_google_analytics/4","doc":"Links the specified FirebaseProject with an existing [Google Analytics account](http://www.google.com/analytics/). Using this call, you can either: - Specify an `analyticsAccountId` to provision a new Google Analytics property within the specified account and associate the new property with the `FirebaseProject`. - Specify an existing `analyticsPropertyId` to associate the property with the `FirebaseProject`. Note that when you call `AddGoogleAnalytics`: 1. The first check determines if any existing data streams in the Google Analytics property correspond to any existing Firebase Apps in the `FirebaseProject` (based on the `packageName` or `bundleId` associated with the data stream). Then, as applicable, the data streams and apps are linked. Note that this auto-linking only applies to `AndroidApps` and `IosApps`. 2. If no corresponding data streams are found for the Firebase Apps, new data streams are provisioned in the Google Analytics property for each of the Firebase Apps. Note that a new data stream is always provisioned for a Web App even if it was previously associated with a data stream in the Analytics property. Learn more about the hierarchy and structure of Google Analytics accounts in the [Analytics documentation](https://support.google.com/analytics/answer/9303323). The result of this call is an [`Operation`](../../v1beta1/operations). Poll the `Operation` to track the provisioning process by calling GetOperation until [`done`](../../v1beta1/operations#Operation.FIELDS.done) is `true`. When `done` is `true`, the `Operation` has either succeeded or failed. If the `Operation` succeeded, its [`response`](../../v1beta1/operations#Operation.FIELDS.response) is set to an AnalyticsDetails; if the `Operation` failed, its [`error`](../../v1beta1/operations#Operation.FIELDS.error) is set to a google.rpc.Status. To call `AddGoogleAnalytics`, a project member must be an Owner for the existing `FirebaseProject` and have the [`Edit` permission](https://support.google.com/analytics/answer/2884495) for the Google Analytics account. If the `FirebaseProject` already has Google Analytics enabled, and you call `AddGoogleAnalytics` using an `analyticsPropertyId` that's different from the currently associated property, then the call will fail. Analytics may have already been enabled in the Firebase console or by specifying `timeZone` and `regionCode` in the call to [`AddFirebase`](../../v1beta1/projects/addFirebase).","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_google_analytics/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_google_analytics/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the FirebaseProject to link to an existing Google Analytics account, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_google_analytics/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_google_analytics/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_google_analytics/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_create/4","doc":"Requests the creation of a new AndroidApp in the specified FirebaseProject. The result of this call is an `Operation` which can be used to track the provisioning process. The `Operation` is automatically deleted after completion, so there is no need to call `DeleteOperation`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_create/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_create/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent FirebaseProject in which to create an AndroidApp, in the format: projects/PROJECT_IDENTIFIER/androidApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.AndroidApp.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_create/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_create/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get/4","doc":"Gets the specified AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidApp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get_config/4","doc":"Gets the configuration artifact associated with the specified AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get_config/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get_config/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the AndroidApp configuration to download, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID/config Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get_config/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get_config/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_list/4","doc":"Lists each AndroidApp associated with the specified FirebaseProject. The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a `pageToken`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_list/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_list/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent FirebaseProject for which to list each associated AndroidApp, in the format: projects/PROJECT_IDENTIFIER /androidApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Apps to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `ListAndroidApps` indicating where in the set of Apps to resume listing.\n    *   `:showDeleted` (*type:* `boolean()`) - Controls whether Apps in the DELETED state should be returned in the response. If not specified, only `ACTIVE` Apps will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_list/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_list/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_patch/4","doc":"Updates the attributes of the specified AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID * PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. * APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.androidApps#AndroidApp.FIELDS.app_id)).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Specifies which fields of the AndroidApp to update. Note that the following fields are immutable: `name`, `app_id`, `project_id`, and `package_name`. To update `state`, use any of the following endpoints: RemoveAndroidApp or UndeleteAndroidApp.\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.AndroidApp.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_patch/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidApp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_patch/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_remove/4","doc":"Removes the specified AndroidApp from the FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_remove/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_remove/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the AndroidApp [name](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_remove/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_remove/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_remove/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_create/4","doc":"Adds a ShaCertificate to the specified AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_create/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_create/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent AndroidApp to which to add a ShaCertificate, in the format: projects/PROJECT_IDENTIFIER/androidApps/ APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_create/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ShaCertificate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_create/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_delete/4","doc":"Removes a ShaCertificate from the specified AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the ShaCertificate to remove from the parent AndroidApp, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID /sha/SHA_HASH Refer to the `ShaCertificate` [`name`](../projects.androidApps.sha#ShaCertificate.FIELDS.name) field for details about PROJECT_IDENTIFIER, APP_ID, and SHA_HASH values. You can obtain the full resource name of the `ShaCertificate` from the response of [`ListShaCertificates`](../projects.androidApps.sha/list) or the original [`CreateShaCertificate`](../projects.androidApps.sha/create).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_delete/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_delete/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_list/4","doc":"Lists the SHA-1 and SHA-256 certificates for the specified AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_list/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_list/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent AndroidApp for which to list each associated ShaCertificate, in the format: projects/PROJECT_IDENTIFIER /androidApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_list/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_list/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_undelete/4","doc":"Restores the specified AndroidApp to the FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_undelete/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_undelete/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the AndroidApp [name](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_undelete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_undelete/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_undelete/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_available_locations_list/4","doc":"**DEPRECATED.** _Instead, use the applicable resource-specific REST API (or associated documentation, as needed) to determine valid locations for each resource used in your Project._ Lists the valid Google Cloud Platform (GCP) resource locations for the specified Project (including a FirebaseProject). One of these locations can be selected as the Project's [_default_ GCP resource location](https://firebase.google.com/docs/projects/locations), which is the geographical location where the Project's resources, such as Cloud Firestore, will be provisioned by default. However, if the default GCP resource location has already been set for the Project, then this setting cannot be changed. This call checks for any possible [location restrictions](https://cloud.google.com/resource-manager/docs/organization-policy/defining-locations) for the specified Project and, thus, might return a subset of all possible GCP resource locations. To list all GCP resource locations (regardless of any restrictions), call the endpoint without specifying a unique project identifier (that is, `/v1beta1/{parent=projects/-}/listAvailableLocations`). To call `ListAvailableLocations` with a specified project, a member must be at minimum a Viewer of the Project. Calls without a specified project do not require any specific project permissions.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_available_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_available_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The FirebaseProject for which to list GCP resource locations, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values. If no unique project identifier is specified (that is, `projects/-`), the returned list does not take into account org-specific or project-specific location restrictions.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of locations to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `ListAvailableLocations` indicating where in the list of locations to resume listing.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_available_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_available_locations_list/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_available_locations_list/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_default_location_finalize/4","doc":"**DEPRECATED.** _Instead, use the applicable resource-specific REST API to set the location for each resource used in your Project._ Sets the default Google Cloud Platform (GCP) resource location for the specified FirebaseProject. This method creates an App Engine application with a [default Cloud Storage bucket](https://cloud.google.com/appengine/docs/standard/python/googlecloudstorageclient/setting-up-cloud-storage#activating_a_cloud_storage_bucket), located in the specified [`locationId`](#body.request_body.FIELDS.location_id). This location must be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). After the default GCP resource location is finalized, or if it was already set, it cannot be changed. The default GCP resource location for the specified `FirebaseProject` might already be set because either the underlying GCP `Project` already has an App Engine application or `FinalizeDefaultLocation` was previously called with a specified `locationId`. Any new calls to `FinalizeDefaultLocation` with a *different* specified `locationId` will return a 409 error. The result of this call is an [`Operation`](../../v1beta1/operations), which can be used to track the provisioning process. The [`response`](../../v1beta1/operations#Operation.FIELDS.response) type of the `Operation` is google.protobuf.Empty. The `Operation` can be polled by its `name` using GetOperation until `done` is true. When `done` is true, the `Operation` has either succeeded or failed. If the `Operation` has succeeded, its [`response`](../../v1beta1/operations#Operation.FIELDS.response) will be set to a google.protobuf.Empty; if the `Operation` has failed, its `error` will be set to a google.rpc.Status. The `Operation` is automatically deleted after completion, so there is no need to call DeleteOperation. All fields listed in the [request body](#request-body) are required. To call `FinalizeDefaultLocation`, a member must be an Owner of the Project.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_default_location_finalize/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_default_location_finalize/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the FirebaseProject for which the default GCP resource location will be set, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_default_location_finalize/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_default_location_finalize/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_default_location_finalize/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get/4","doc":"Gets the specified FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the FirebaseProject, in the format: projects/ PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.FirebaseProject{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_admin_sdk_config/4","doc":"Gets the configuration artifact associated with the specified FirebaseProject, which can be used by servers to simplify initialization. Typically, this configuration is used with the Firebase Admin SDK [initializeApp](https://firebase.google.com/docs/admin/setup#initialize_the_sdk) command.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_admin_sdk_config/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_admin_sdk_config/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the FirebaseProject, in the format: projects/ PROJECT_IDENTIFIER/adminSdkConfig Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_admin_sdk_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_admin_sdk_config/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_admin_sdk_config/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_analytics_details/4","doc":"Gets the Google Analytics details currently associated with the specified FirebaseProject. If the `FirebaseProject` is not yet linked to Google Analytics, then the response to `GetAnalyticsDetails` is `NOT_FOUND`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_analytics_details/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_analytics_details/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the FirebaseProject, in the format: projects/ PROJECT_IDENTIFIER/analyticsDetails Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_analytics_details/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_analytics_details/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_analytics_details/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_create/4","doc":"Requests the creation of a new IosApp in the specified FirebaseProject. The result of this call is an `Operation` which can be used to track the provisioning process. The `Operation` is automatically deleted after completion, so there is no need to call `DeleteOperation`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_create/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_create/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent FirebaseProject in which to create an IosApp, in the format: projects/PROJECT_IDENTIFIER/iosApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.IosApp.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_create/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_create/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get/4","doc":"Gets the specified IosApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the IosApp, in the format: projects/PROJECT_IDENTIFIER /iosApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/APP_ID Refer to the `IosApp` [`name`](../projects.iosApps#IosApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.IosApp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get_config/4","doc":"Gets the configuration artifact associated with the specified IosApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get_config/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get_config/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the App configuration to download, in the format: projects/PROJECT_IDENTIFIER/iosApps/APP_ID/config Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/APP_ID Refer to the `IosApp` [`name`](../projects.iosApps#IosApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get_config/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.IosAppConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get_config/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_list/4","doc":"Lists each IosApp associated with the specified FirebaseProject. The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a `pageToken`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_list/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_list/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent FirebaseProject for which to list each associated IosApp, in the format: projects/PROJECT_IDENTIFIER/iosApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Apps to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `ListIosApps` indicating where in the set of Apps to resume listing.\n    *   `:showDeleted` (*type:* `boolean()`) - Controls whether Apps in the DELETED state should be returned in the response. If not specified, only `ACTIVE` Apps will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_list/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_list/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_patch/4","doc":"Updates the attributes of the specified IosApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the IosApp, in the format: projects/PROJECT_IDENTIFIER /iosApps/APP_ID * PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. * APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.iosApps#IosApp.FIELDS.app_id)).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Specifies which fields of the IosApp to update. Note that the following fields are immutable: `name`, `app_id`, `project_id`, and `bundle_id`. To update `state`, use any of the following endpoints: RemoveIosApp or UndeleteIosApp.\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.IosApp.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_patch/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.IosApp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_patch/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_remove/4","doc":"Removes the specified IosApp from the FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_remove/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_remove/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the IosApp, in the format: projects/ PROJECT_IDENTIFIER/iosApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/APP_ID Refer to the IosApp [name](../projects.iosApps#IosApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_remove/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_remove/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_remove/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_undelete/4","doc":"Restores the specified IosApp to the FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_undelete/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_undelete/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the IosApp, in the format: projects/ PROJECT_IDENTIFIER/iosApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/APP_ID Refer to the IosApp [name](../projects.iosApps#IosApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_undelete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_undelete/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_undelete/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_list/3","doc":"Lists each FirebaseProject accessible to the caller. The elements are returned in no particular order, but they will be a consistent view of the Projects when additional requests are made with a `pageToken`. This method is eventually consistent with Project mutations, which means newly provisioned Projects and recent modifications to existing Projects might not be reflected in the set of Projects. The list will include only ACTIVE Projects. Use GetFirebaseProject for consistent reads as well as for additional Project details.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_list/3"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_list/3","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Projects to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `ListFirebaseProjects` indicating where in the set of Projects to resume listing.\n    *   `:showDeleted` (*type:* `boolean()`) - Optional. Controls whether Projects in the DELETED state should be returned in the response. If not specified, only `ACTIVE` Projects will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_list/3","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_list/3-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_patch/4","doc":"Updates the attributes of the specified FirebaseProject. All [query parameters](#query-parameters) are required.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the Project, in the format: projects/PROJECT_IDENTIFIER PROJECT_IDENTIFIER: the Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Specifies which fields of the FirebaseProject to update. Note that the following fields are immutable: `name`, `project_id`, and `project_number`. To update `state`, use any of the following Google Cloud endpoints: [`projects.delete`](https://cloud.google.com/resource-manager/reference/rest/v1/projects/delete) or [`projects.undelete`](https://cloud.google.com/resource-manager/reference/rest/v1/projects/undelete)\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_patch/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.FirebaseProject{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_patch/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_remove_analytics/4","doc":"Unlinks the specified FirebaseProject from its Google Analytics account. This call removes the association of the specified `FirebaseProject` with its current Google Analytics property. However, this call does not delete the Google Analytics resources, such as the Google Analytics property or any data streams. These resources may be re-associated later to the `FirebaseProject` by calling [`AddGoogleAnalytics`](../../v1beta1/projects/addGoogleAnalytics) and specifying the same `analyticsPropertyId`. For Android Apps and iOS Apps, this call re-links data streams with their corresponding apps. However, for Web Apps, this call provisions a *new* data stream for each Web App. To call `RemoveAnalytics`, a project member must be an Owner for the `FirebaseProject`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_remove_analytics/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_remove_analytics/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the FirebaseProject to unlink from its Google Analytics account, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_remove_analytics/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_remove_analytics/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_remove_analytics/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_search_apps/4","doc":"Lists all available Apps for the specified FirebaseProject. This is a convenience method. Typically, interaction with an App should be done using the platform-specific service, but some tool use-cases require a summary of all known Apps (such as for App selector interfaces).","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_search_apps/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_search_apps/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The parent FirebaseProject for which to list Apps, in the format: projects/ PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A query string compatible with Google's [AIP-160 standard](https://google.aip.dev/160). Use any of the following fields in a query: * [`app_id`](../projects/searchApps#FirebaseAppInfo.FIELDS.app_id) * [`namespace`](../projects/searchApps#FirebaseAppInfo.FIELDS.namespace) * [`platform`](../projects/searchApps#FirebaseAppInfo.FIELDS.platform) This query also supports the following \"virtual\" fields. These are fields which are not actually part of the returned resource object, but they can be queried as if they are pre-populated with specific values. * `sha1_hash` or `sha1_hashes`: This field is considered to be a _repeated_ `string` field, populated with the list of all SHA-1 certificate fingerprints registered with the AndroidApp. This list is empty if the App is not an `AndroidApp`. * `sha256_hash` or `sha256_hashes`: This field is considered to be a _repeated_ `string` field, populated with the list of all SHA-256 certificate fingerprints registered with the AndroidApp. This list is empty if the App is not an `AndroidApp`. * `app_store_id`: This field is considered to be a _singular_ `string` field, populated with the Apple App Store ID registered with the IosApp. This field is empty if the App is not an `IosApp`. * `team_id`: This field is considered to be a _singular_ `string` field, populated with the Apple team ID registered with the IosApp. This field is empty if the App is not an `IosApp`.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Apps to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `SearchFirebaseApps` indicating where in the set of Apps to resume listing.\n    *   `:showDeleted` (*type:* `boolean()`) - Controls whether Apps in the DELETED state should be returned. If not specified, only `ACTIVE` Apps will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_search_apps/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_search_apps/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_search_apps/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_create/4","doc":"Requests the creation of a new WebApp in the specified FirebaseProject. The result of this call is an `Operation` which can be used to track the provisioning process. The `Operation` is automatically deleted after completion, so there is no need to call `DeleteOperation`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_create/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_create/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent FirebaseProject in which to create a WebApp, in the format: projects/PROJECT_IDENTIFIER/webApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.WebApp.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_create/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_create/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get/4","doc":"Gets the specified WebApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the WebApp, in the format: projects/PROJECT_IDENTIFIER /webApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/APP_ID Refer to the `WebApp` [`name`](../projects.webApps#WebApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.WebApp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get_config/4","doc":"Gets the configuration artifact associated with the specified WebApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get_config/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get_config/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the WebApp configuration to download, in the format: projects/PROJECT_IDENTIFIER/webApps/APP_ID/config Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/APP_ID Refer to the `WebApp` [`name`](../projects.webApps#WebApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get_config/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.WebAppConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get_config/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_list/4","doc":"Lists each WebApp associated with the specified FirebaseProject. The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a `pageToken`.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_list/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_list/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The resource name of the parent FirebaseProject for which to list each associated WebApp, in the format: projects/PROJECT_IDENTIFIER/webApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of Apps to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit.\n    *   `:pageToken` (*type:* `String.t`) - Token returned from a previous call to `ListWebApps` indicating where in the set of Apps to resume listing.\n    *   `:showDeleted` (*type:* `boolean()`) - Controls whether Apps in the DELETED state should be returned in the response. If not specified, only `ACTIVE` Apps will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_list/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_list/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_patch/4","doc":"Updates the attributes of the specified WebApp.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the WebApp, in the format: projects/PROJECT_IDENTIFIER /webApps/APP_ID * PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. * APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.webApps#WebApp.FIELDS.app_id)).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Specifies which fields of the WebApp to update. Note that the following fields are immutable: `name`, `app_id`, and `project_id`. To update `state`, use any of the following endpoints: RemoveWebApp or UndeleteWebApp.\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.WebApp.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_patch/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.WebApp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_patch/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_remove/4","doc":"Removes the specified WebApp from the FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_remove/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_remove/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the WebApp, in the format: projects/ PROJECT_IDENTIFIER/webApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/APP_ID Refer to the WebApp [name](../projects.webApps#WebApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_remove/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_remove/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_remove/4-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_undelete/4","doc":"Restores the specified WebApp to the FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_undelete/4"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_undelete/4","doc":"*   `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the WebApp, in the format: projects/ PROJECT_IDENTIFIER/webApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/APP_ID Refer to the WebApp [name](../projects.webApps#WebApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_undelete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_undelete/4","doc":"*   `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_undelete/4-returns"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Connection","doc":"Handle Tesla connections for GoogleApi.Firebase.V1beta1.","ref":"GoogleApi.Firebase.V1beta1.Connection.html"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Firebase.V1beta1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Firebase.V1beta1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Firebase.V1beta1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Firebase.V1beta1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Firebase.V1beta1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Firebase.V1beta1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Firebase.V1beta1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Firebase.V1beta1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Firebase.V1beta1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Firebase.V1beta1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Connection.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest","doc":"All fields are required.","ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest","doc":"*   `locationId` (*type:* `String.t`, *default:* `nil`) - Deprecated. Instead, to set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the GCP `Project`. The ID of the Project's default GCP resource location. The location must be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations).","ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest","doc":"*   `analyticsAccountId` (*type:* `String.t`, *default:* `nil`) - The ID for the existing [Google Analytics account](http://www.google.com/analytics/) that you want to link with the `FirebaseProject`. Specifying this field will provision a new Google Analytics property in your Google Analytics account and associate the new property with the `FirebaseProject`.\n*   `analyticsPropertyId` (*type:* `String.t`, *default:* `nil`) - The ID for the existing Google Analytics property that you want to associate with the `FirebaseProject`.","ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig","doc":"*   `databaseURL` (*type:* `String.t`, *default:* `nil`) - **DEPRECATED.** _Instead, find the default Firebase Realtime Database instance name using the [list endpoint](https://firebase.google.com/docs/reference/rest/database/database-management/rest/v1beta/projects.locations.instances/list) within the Firebase Realtime Database REST API. Note that the default instance for the Project might not yet be provisioned, so the return might not contain a default instance._ The default Firebase Realtime Database URL.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - **DEPRECATED.** _Instead, use product-specific REST APIs to find the location of resources._ The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Immutable. A user-assigned unique identifier for the `FirebaseProject`. This identifier may appear in URLs or names for some Firebase resources associated with the Project, but it should generally be treated as a convenience alias to reference the Project.\n*   `storageBucket` (*type:* `String.t`, *default:* `nil`) - **DEPRECATED.** _Instead, find the default Cloud Storage for Firebase bucket using the [list endpoint](https://firebase.google.com/docs/reference/rest/storage/rest/v1beta/projects.buckets/list) within the Cloud Storage for Firebase REST API. Note that the default bucket for the Project might not yet be provisioned, so the return might not contain a default bucket._ The default Cloud Storage for Firebase storage bucket name.","ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails","doc":"*   `analyticsProperty` (*type:* `GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.t`, *default:* `nil`) - The Analytics Property object associated with the specified `FirebaseProject`. This object contains the details of the Google Analytics property associated with the Project.\n*   `streamMappings` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.StreamMapping.t)`, *default:* `nil`) -  - For `AndroidApps` and `IosApps`: a map of `app` to `streamId` for each Firebase App in the specified `FirebaseProject`. Each `app` and `streamId` appears only once. - For `WebApps`: a map of `app` to `streamId` and `measurementId` for each `WebApp` in the specified `FirebaseProject`. Each `app`, `streamId`, and `measurementId` appears only once.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty","doc":"Details of a Google Analytics property","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty","doc":"*   `analyticsAccountId` (*type:* `String.t`, *default:* `nil`) - Output only. The ID of the [Google Analytics account](https://www.google.com/analytics/) for the Google Analytics property associated with the specified FirebaseProject.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the Google Analytics property associated with the specified `FirebaseProject`.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The globally unique, Google-assigned identifier of the Google Analytics property associated with the specified `FirebaseProject`. If you called [`AddGoogleAnalytics`](../../v1beta1/projects/addGoogleAnalytics) to link the `FirebaseProject` with a Google Analytics account, the value in this `id` field is the same as the ID of the property either specified or provisioned with that call to `AddGoogleAnalytics`.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp","doc":"Details of a Firebase App for Android.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.AndroidApp","doc":"*   `apiKeyId` (*type:* `String.t`, *default:* `nil`) - The globally unique, Google-assigned identifier (UID) for the Firebase API key associated with the `AndroidApp`. Be aware that this value is the UID of the API key, _not_ the [`keyString`](https://cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys#Key.FIELDS.key_string) of the API key. The `keyString` is the value that can be found in the App's [configuration artifact](../../rest/v1beta1/projects.androidApps/getConfig). If `api_key_id` is not set in requests to [`androidApps.Create`](../../rest/v1beta1/projects.androidApps/create), then Firebase automatically associates an `api_key_id` with the `AndroidApp`. This auto-associated key may be an existing valid key or, if no valid key exists, a new one will be provisioned. In patch requests, `api_key_id` cannot be set to an empty value, and the new UID must have no restrictions or only have restrictions that are valid for the associated `AndroidApp`. We recommend using the [Google Cloud Console](https://console.cloud.google.com/apis/credentials) to manage API keys.\n*   `appId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. The globally unique, Firebase-assigned identifier for the `AndroidApp`. This identifier should be treated as an opaque token, as the data format is not specified.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The user-assigned display name for the `AndroidApp`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This checksum is computed by the server based on the value of other fields, and it may be sent with update requests to ensure the client has an up-to-date value before proceeding. Learn more about `etag` in Google's [AIP-154 standard](https://google.aip.dev/154#declarative-friendly-resources). This etag is strongly validated.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of when the App will be considered expired and cannot be undeleted. This value is only provided if the App is in the `DELETED` state.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID * PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. * APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.androidApps#AndroidApp.FIELDS.app_id)).\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Immutable. The canonical package name of the Android app as would appear in the Google Play Developer Console.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. A user-assigned unique identifier of the parent FirebaseProject for the `AndroidApp`.\n*   `sha1Hashes` (*type:* `list(String.t)`, *default:* `nil`) - The SHA1 certificate hashes for the AndroidApp.\n*   `sha256Hashes` (*type:* `list(String.t)`, *default:* `nil`) - The SHA256 certificate hashes for the AndroidApp.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The lifecycle state of the App.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig","doc":"Configuration metadata of a single Firebase App for Android.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig","doc":"*   `configFileContents` (*type:* `String.t`, *default:* `nil`) - The contents of the JSON configuration file.\n*   `configFilename` (*type:* `String.t`, *default:* `nil`) - The filename that the configuration artifact for the `AndroidApp` is typically saved as. For example: `google-services.json`","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources","doc":"**DEPRECATED.** _Auto-provisioning of these resources is changing, so this object no longer reliably provides information about the resources within the Project. Instead, retrieve information about each resource directly from its resource-specific API._ The default auto-provisioned resources associated with the Project.","ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.DefaultResources","doc":"*   `hostingSite` (*type:* `String.t`, *default:* `nil`) - Output only. **DEPRECATED.** _Instead, find the default Firebase Hosting site name using the [ListSites](https://firebase.google.com/docs/reference/hosting/rest/v1beta1/projects.sites/list) within the Firebase Hosting REST API. Note that the default site for the Project might not yet be provisioned, so the return might not contain a default site._ The default Firebase Hosting site name, in the format: PROJECT_ID Though rare, your `projectId` might already be used as the name for an existing Hosting site in another project (learn more about creating non-default, [additional sites](https://firebase.google.com/docs/hosting/multisites)). In these cases, your `projectId` is appended with a hyphen then five alphanumeric characters to create your default Hosting site name. For example, if your `projectId` is `myproject123`, your default Hosting site name might be: `myproject123-a5c16`\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Output only. **DEPRECATED.** _Instead, use product-specific REST APIs to find the location of resources._ The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project.\n*   `realtimeDatabaseInstance` (*type:* `String.t`, *default:* `nil`) - Output only. **DEPRECATED.** _Instead, find the default Firebase Realtime Database instance name using the [list endpoint](https://firebase.google.com/docs/reference/rest/database/database-management/rest/v1beta/projects.locations.instances/list) within the Firebase Realtime Database REST API. Note that the default instance for the Project might not yet be provisioned, so the return might not contain a default instance._ The default Firebase Realtime Database instance name, in the format: PROJECT_ID Though rare, your `projectId` might already be used as the name for an existing Realtime Database instance in another project (learn more about [database sharding](https://firebase.google.com/docs/database/usage/sharding)). In these cases, your `projectId` is appended with a hyphen then five alphanumeric characters to create your default Realtime Database instance name. For example, if your `projectId` is `myproject123`, your default database instance name might be: `myproject123-a5c16`\n*   `storageBucket` (*type:* `String.t`, *default:* `nil`) - Output only. **DEPRECATED.** _Instead, find the default Cloud Storage for Firebase bucket using the [list endpoint](https://firebase.google.com/docs/reference/rest/storage/rest/v1beta/projects.buckets/list) within the Cloud Storage for Firebase REST API. Note that the default bucket for the Project might not yet be provisioned, so the return might not contain a default bucket._ The default Cloud Storage for Firebase storage bucket, in the format: PROJECT_ID.appspot.com","ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.Empty","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.Empty.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest","doc":"*   `locationId` (*type:* `String.t`, *default:* `nil`) - The ID of the Project's default GCP resource location. The location must be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations).","ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo","doc":"A high-level summary of an App.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo","doc":"*   `apiKeyId` (*type:* `String.t`, *default:* `nil`) - The globally unique, Google-assigned identifier (UID) for the Firebase API key associated with the App. Be aware that this value is the UID of the API key, _not_ the [`keyString`](https://cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys#Key.FIELDS.key_string) of the API key. The `keyString` is the value that can be found in the App's configuration artifact ([`AndroidApp`](../../rest/v1beta1/projects.androidApps/getConfig) | [`IosApp`](../../rest/v1beta1/projects.iosApps/getConfig) | [`WebApp`](../../rest/v1beta1/projects.webApps/getConfig)). If `api_key_id` is not set in requests to create the App ([`AndroidApp`](../../rest/v1beta1/projects.androidApps/create) | [`IosApp`](../../rest/v1beta1/projects.iosApps/create) | [`WebApp`](../../rest/v1beta1/projects.webApps/create)), then Firebase automatically associates an `api_key_id` with the App. This auto-associated key may be an existing valid key or, if no valid key exists, a new one will be provisioned.\n*   `appId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. The globally unique, Firebase-assigned identifier for the `WebApp`. This identifier should be treated as an opaque token, as the data format is not specified.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The user-assigned display name of the Firebase App.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of when the App will be considered expired and cannot be undeleted. This value is only provided if the App is in the `DELETED` state.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the Firebase App, in the format: projects/PROJECT_ID /iosApps/APP_ID or projects/PROJECT_ID/androidApps/APP_ID or projects/ PROJECT_ID/webApps/APP_ID\n*   `namespace` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. The platform-specific identifier of the App. *Note:* For most use cases, use `appId`, which is the canonical, globally unique identifier for referencing an App. This string is derived from a native identifier for each platform: `packageName` for an `AndroidApp`, `bundleId` for an `IosApp`, and `webId` for a `WebApp`. Its contents should be treated as opaque, as the native identifier format may change as platforms evolve. This string is only unique within a `FirebaseProject` and its associated Apps.\n*   `platform` (*type:* `String.t`, *default:* `nil`) - The platform of the Firebase App.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The lifecycle state of the App.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject","doc":"A `FirebaseProject` is the top-level Firebase entity. It is the container for Firebase Apps, Firebase Hosting sites, storage systems (Firebase Realtime Database, Cloud Firestore, Cloud Storage buckets), and other Firebase and Google Cloud Platform (GCP) resources. You create a `FirebaseProject` by calling AddFirebase and specifying an *existing* [GCP `Project`](https://cloud.google.com/resource-manager/reference/rest/v1/projects). This adds Firebase resources to the existing GCP `Project`. Since a FirebaseProject is actually also a GCP `Project`, a `FirebaseProject` has the same underlying GCP identifiers (`projectNumber` and `projectId`). This allows for easy interop with Google APIs.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.FirebaseProject","doc":"*   `annotations` (*type:* `map()`, *default:* `nil`) - A set of user-defined annotations for the FirebaseProject. Learn more about annotations in Google's [AIP-128 standard](https://google.aip.dev/128#annotations). These annotations are intended solely for developers and client-side tools. Firebase services will not mutate this annotations set.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The user-assigned display name of the Project.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This checksum is computed by the server based on the value of other fields, and it may be sent with update requests to ensure the client has an up-to-date value before proceeding. Learn more about `etag` in Google's [AIP-154 standard](https://google.aip.dev/154#declarative-friendly-resources). This etag is strongly validated.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the Project, in the format: projects/PROJECT_IDENTIFIER PROJECT_IDENTIFIER: the Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. A user-assigned unique identifier for the Project. This identifier may appear in URLs or names for some Firebase resources associated with the Project, but it should generally be treated as a convenience alias to reference the Project.\n*   `projectNumber` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. The globally unique, Google-assigned canonical identifier for the Project. Use this identifier when configuring integrations and/or making API calls to Firebase or third-party services.\n*   `resources` (*type:* `GoogleApi.Firebase.V1beta1.Model.DefaultResources.t`, *default:* `nil`) - Output only. **DEPRECATED.** _Auto-provisioning of these resources is changing, so this object no longer reliably provides information about the Project. Instead, retrieve information about each resource directly from its resource-specific API._ The default Firebase resources associated with the Project.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The lifecycle state of the Project.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.IosApp","doc":"Details of a Firebase App for iOS.","ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.IosApp","doc":"*   `apiKeyId` (*type:* `String.t`, *default:* `nil`) - The globally unique, Google-assigned identifier (UID) for the Firebase API key associated with the `IosApp`. Be aware that this value is the UID of the API key, _not_ the [`keyString`](https://cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys#Key.FIELDS.key_string) of the API key. The `keyString` is the value that can be found in the App's [configuration artifact](../../rest/v1beta1/projects.iosApps/getConfig). If `api_key_id` is not set in requests to [`iosApps.Create`](../../rest/v1beta1/projects.iosApps/create), then Firebase automatically associates an `api_key_id` with the `IosApp`. This auto-associated key may be an existing valid key or, if no valid key exists, a new one will be provisioned. In patch requests, `api_key_id` cannot be set to an empty value, and the new UID must have no restrictions or only have restrictions that are valid for the associated `IosApp`. We recommend using the [Google Cloud Console](https://console.cloud.google.com/apis/credentials) to manage API keys.\n*   `appId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. The globally unique, Firebase-assigned identifier for the `IosApp`. This identifier should be treated as an opaque token, as the data format is not specified.\n*   `appStoreId` (*type:* `String.t`, *default:* `nil`) - The automatically generated Apple ID assigned to the iOS app by Apple in the iOS App Store.\n*   `bundleId` (*type:* `String.t`, *default:* `nil`) - Immutable. The canonical bundle ID of the iOS app as it would appear in the iOS AppStore.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The user-assigned display name for the `IosApp`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This checksum is computed by the server based on the value of other fields, and it may be sent with update requests to ensure the client has an up-to-date value before proceeding. Learn more about `etag` in Google's [AIP-154 standard](https://google.aip.dev/154#declarative-friendly-resources). This etag is strongly validated.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of when the App will be considered expired and cannot be undeleted. This value is only provided if the App is in the `DELETED` state.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the IosApp, in the format: projects/PROJECT_IDENTIFIER /iosApps/APP_ID * PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. * APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.iosApps#IosApp.FIELDS.app_id)).\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. A user-assigned unique identifier of the parent FirebaseProject for the `IosApp`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The lifecycle state of the App.\n*   `teamId` (*type:* `String.t`, *default:* `nil`) - The Apple Developer Team ID associated with the App in the App Store.","ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.IosApp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.IosApp.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig","doc":"Configuration metadata of a single Firebase App for iOS.","ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.IosAppConfig","doc":"*   `configFileContents` (*type:* `String.t`, *default:* `nil`) - The content of the XML configuration file.\n*   `configFilename` (*type:* `String.t`, *default:* `nil`) - The filename that the configuration artifact for the `IosApp` is typically saved as. For example: `GoogleService-Info.plist`","ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse","doc":"*   `apps` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.AndroidApp.t)`, *default:* `nil`) - List of each `AndroidApp` associated with the specified `FirebaseProject`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListAndroidApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse","doc":"*   `locations` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.Location.t)`, *default:* `nil`) - One page of results from a call to `ListAvailableLocations`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results and all available locations have been listed. This token can be used in a subsequent call to `ListAvailableLocations` to find more locations. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent calls to `ListAvailableProjects` to find the next group of Projects. Page tokens are short-lived and should not be persisted.\n*   `projectInfo` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.ProjectInfo.t)`, *default:* `nil`) - The list of GCP `Projects` which can have Firebase resources added to them.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent calls to `ListFirebaseProjects` to find the next group of Projects. Page tokens are short-lived and should not be persisted.\n*   `results` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t)`, *default:* `nil`) - One page of the list of Projects that are accessible to the caller.","ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse","doc":"*   `apps` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.IosApp.t)`, *default:* `nil`) - List of each `IosApp` associated with the specified `FirebaseProject`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListIosApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse","doc":"*   `certificates` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t)`, *default:* `nil`) - The list of each `ShaCertificate` associated with the `AndroidApp`.","ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse","doc":"*   `apps` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.WebApp.t)`, *default:* `nil`) - List of each `WebApp` associated with the specified `FirebaseProject`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListWebApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.Location","doc":"**DEPRECATED.** _This Location is no longer used to determine Firebase resource locations. Instead, consult product documentation to determine valid locations for each resource used in your Project._ A GCP resource location that can be selected for a FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Model.Location.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.Location","doc":"*   `features` (*type:* `list(String.t)`, *default:* `nil`) - Products and services that are available in the GCP resource location.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - The ID of the GCP resource location. It will be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations#types).\n*   `type` (*type:* `String.t`, *default:* `nil`) - Indicates whether the GCP resource location is a [regional or multi-regional location](https://firebase.google.com/docs/projects/locations#types) for data replication.","ref":"GoogleApi.Firebase.V1beta1.Model.Location.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.Location.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Location.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.Location.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Location.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet","doc":"This is proto2's version of MessageSet.","ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.MessageSet","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.Firebase.V1beta1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.Operation.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.OperationMetadata","doc":"Describes the progress of an LRO. It is included in the `metadata` field of the `Operation`.","ref":"GoogleApi.Firebase.V1beta1.Model.OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.OperationMetadata","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.OperationMetadata.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ProductMetadata","doc":"Metadata about a long-running Product operation.","ref":"GoogleApi.Firebase.V1beta1.Model.ProductMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ProductMetadata","doc":"*   `warningMessages` (*type:* `list(String.t)`, *default:* `nil`) - List of warnings related to the associated operation.","ref":"GoogleApi.Firebase.V1beta1.Model.ProductMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ProductMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ProductMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ProductMetadata.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ProductMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo","doc":"A reference to a Google Cloud Platform (GCP) `Project`.","ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ProjectInfo","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The user-assigned display name of the GCP `Project`, for example: `My App`\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). Not all Projects will have this field populated. If it is not populated, it means that the Project does not yet have a default GCP resource location. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project.\n*   `project` (*type:* `String.t`, *default:* `nil`) - The resource name of the GCP `Project` to which Firebase resources can be added, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.","ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest","doc":"*   `analyticsPropertyId` (*type:* `String.t`, *default:* `nil`) - Optional. The ID of the Google Analytics property associated with the specified `FirebaseProject`. - If not set, then the Google Analytics property that is currently associated with the specified `FirebaseProject` is removed. - If set, and the specified `FirebaseProject` is currently associated with a *different* Google Analytics property, then the response is a `412 Precondition Failed` error.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest","doc":"*   `allowMissing` (*type:* `boolean()`, *default:* `nil`) - If set to true, and the App is not found, the request will succeed but no action will be taken on the server.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Checksum provided in the AndroidApp resource. If provided, this checksum ensures that the client has an up-to-date value before proceeding.\n*   `immediate` (*type:* `boolean()`, *default:* `nil`) - Determines whether to _immediately_ delete the AndroidApp. If set to true, the App is immediately deleted from the Project and cannot be restored to the Project. If not set, defaults to false, which means the App will be set to expire in 30 days. Within the 30 days, the App may be restored to the Project using UndeleteAndroidApp.\n*   `validateOnly` (*type:* `boolean()`, *default:* `nil`) - If set to true, the request is only validated. The App will _not_ be removed.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAndroidAppRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest","doc":"*   `allowMissing` (*type:* `boolean()`, *default:* `nil`) - If set to true, and the App is not found, the request will succeed but no action will be taken on the server.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Checksum provided in the IosApp resource. If provided, this checksum ensures that the client has an up-to-date value before proceeding.\n*   `immediate` (*type:* `boolean()`, *default:* `nil`) - Determines whether to _immediately_ delete the IosApp. If set to true, the App is immediately deleted from the Project and cannot be restored to the Project. If not set, defaults to false, which means the App will be set to expire in 30 days. Within the 30 days, the App may be restored to the Project using UndeleteIosApp\n*   `validateOnly` (*type:* `boolean()`, *default:* `nil`) - If set to true, the request is only validated. The App will _not_ be removed.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveIosAppRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest","doc":"*   `allowMissing` (*type:* `boolean()`, *default:* `nil`) - If set to true, and the App is not found, the request will succeed but no action will be taken on the server.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Checksum provided in the WebApp resource. If provided, this checksum ensures that the client has an up-to-date value before proceeding.\n*   `immediate` (*type:* `boolean()`, *default:* `nil`) - Determines whether to _immediately_ delete the WebApp. If set to true, the App is immediately deleted from the Project and cannot be restored to the Project. If not set, defaults to false, which means the App will be set to expire in 30 days. Within the 30 days, the App may be restored to the Project using UndeleteWebApp\n*   `validateOnly` (*type:* `boolean()`, *default:* `nil`) - If set to true, the request is only validated. The App will _not_ be removed.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveWebAppRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse","doc":"*   `apps` (*type:* `list(GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.t)`, *default:* `nil`) - One page of results from a call to `SearchFirebaseApps`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - If the result list is too large to fit in a single response, then a token is returned. This token can be used in a subsequent calls to `SearchFirebaseApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate","doc":"A SHA-1 or SHA-256 certificate associated with the AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.ShaCertificate","doc":"*   `certType` (*type:* `String.t`, *default:* `nil`) - The type of SHA certificate encoded in the hash.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the ShaCertificate for the AndroidApp, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID/sha/SHA_HASH * PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. * APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.androidApps#AndroidApp.FIELDS.app_id)). * SHA_HASH: the certificate hash for the App (see [`shaHash`](../projects.androidApps.sha#ShaCertificate.FIELDS.sha_hash)).\n*   `shaHash` (*type:* `String.t`, *default:* `nil`) - The certificate hash for the `AndroidApp`.","ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.Firebase.V1beta1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Firebase.V1beta1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.Status.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto","doc":"Wire-format for a Status object","ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.StatusProto","doc":"*   `canonicalCode` (*type:* `integer()`, *default:* `nil`) - The canonical error code (see codes.proto) that most closely corresponds to this status. This may be missing, and in the common case of the generic space, it definitely will be.\n*   `code` (*type:* `integer()`, *default:* `nil`) - Numeric code drawn from the space specified below. Often, this is the canonical error space, and code is drawn from google3/util/task/codes.proto\n*   `message` (*type:* `String.t`, *default:* `nil`) - Detail message\n*   `messageSet` (*type:* `GoogleApi.Firebase.V1beta1.Model.MessageSet.t`, *default:* `nil`) - message_set associates an arbitrary proto message with the status.\n*   `space` (*type:* `String.t`, *default:* `nil`) - The following are usually only present when code != 0 Space to which this status belongs","ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping","doc":"A mapping of a Firebase App to a Google Analytics data stream","ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.StreamMapping","doc":"*   `app` (*type:* `String.t`, *default:* `nil`) - The resource name of the Firebase App associated with the Google Analytics data stream, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID or projects/PROJECT_IDENTIFIER/iosApps/APP_ID or projects/PROJECT_IDENTIFIER /webApps/APP_ID Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.\n*   `measurementId` (*type:* `String.t`, *default:* `nil`) - Applicable for Firebase Web Apps only. The unique Google-assigned identifier of the Google Analytics web stream associated with the Firebase Web App. Firebase SDKs use this ID to interact with Google Analytics APIs. Learn more about this ID and Google Analytics web streams in the [Analytics documentation](https://support.google.com/analytics/answer/9304153).\n*   `streamId` (*type:* `String.t`, *default:* `nil`) - The unique Google-assigned identifier of the Google Analytics data stream associated with the Firebase App. Learn more about Google Analytics data streams in the [Analytics documentation](https://support.google.com/analytics/answer/9303323).","ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - Checksum provided in the AndroidApp resource. If provided, this checksum ensures that the client has an up-to-date value before proceeding.\n*   `validateOnly` (*type:* `boolean()`, *default:* `nil`) - If set to true, the request is only validated. The App will _not_ be undeleted.","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteAndroidAppRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - Checksum provided in the IosApp resource. If provided, this checksum ensures that the client has an up-to-date value before proceeding.\n*   `validateOnly` (*type:* `boolean()`, *default:* `nil`) - If set to true, the request is only validated. The App will _not_ be undeleted.","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteIosAppRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - Checksum provided in the WebApp resource. If provided, this checksum ensures that the client has an up-to-date value before proceeding.\n*   `validateOnly` (*type:* `boolean()`, *default:* `nil`) - If set to true, the request is only validated. The App will _not_ be undeleted.","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.UndeleteWebAppRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.WebApp","doc":"Details of a Firebase App for the web.","ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.WebApp","doc":"*   `apiKeyId` (*type:* `String.t`, *default:* `nil`) - The globally unique, Google-assigned identifier (UID) for the Firebase API key associated with the `WebApp`. Be aware that this value is the UID of the API key, _not_ the [`keyString`](https://cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys#Key.FIELDS.key_string) of the API key. The `keyString` is the value that can be found in the App's [configuration artifact](../../rest/v1beta1/projects.webApps/getConfig). If `api_key_id` is not set in requests to [`webApps.Create`](../../rest/v1beta1/projects.webApps/create), then Firebase automatically associates an `api_key_id` with the `WebApp`. This auto-associated key may be an existing valid key or, if no valid key exists, a new one will be provisioned. In patch requests, `api_key_id` cannot be set to an empty value, and the new UID must have no restrictions or only have restrictions that are valid for the associated `WebApp`. We recommend using the [Google Cloud Console](https://console.cloud.google.com/apis/credentials) to manage API keys.\n*   `appId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. The globally unique, Firebase-assigned identifier for the `WebApp`. This identifier should be treated as an opaque token, as the data format is not specified.\n*   `appUrls` (*type:* `list(String.t)`, *default:* `nil`) - The URLs where the `WebApp` is hosted.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The user-assigned display name for the `WebApp`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - This checksum is computed by the server based on the value of other fields, and it may be sent with update requests to ensure the client has an up-to-date value before proceeding. Learn more about `etag` in Google's [AIP-154 standard](https://google.aip.dev/154#declarative-friendly-resources). This etag is strongly validated.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of when the App will be considered expired and cannot be undeleted. This value is only provided if the App is in the `DELETED` state.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the WebApp, in the format: projects/PROJECT_IDENTIFIER /webApps/APP_ID * PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. * APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.webApps#WebApp.FIELDS.app_id)).\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. A user-assigned unique identifier of the parent FirebaseProject for the `WebApp`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The lifecycle state of the App.\n*   `webId` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. A unique, Firebase-assigned identifier for the `WebApp`. This identifier is only used to populate the `namespace` value for the `WebApp`. For most use cases, use `appId` to identify or reference the App. The `webId` value is only unique within a `FirebaseProject` and its associated Apps.","ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.WebApp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.WebApp.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html#t:t/0"},{"type":"module","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig","doc":"Configuration metadata of a single Firebase App for the web.","ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Firebase.V1beta1.Model.WebAppConfig","doc":"*   `apiKey` (*type:* `String.t`, *default:* `nil`) - The [`keyString`](https://cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys#Key.FIELDS.key_string) of the API key associated with the `WebApp`. Note that this value is _not_ the [`apiKeyId`](../projects.webApps#WebApp.FIELDS.api_key_id) (the UID) of the API key associated with the `WebApp`.\n*   `appId` (*type:* `String.t`, *default:* `nil`) - Immutable. The globally unique, Firebase-assigned identifier for the `WebApp`.\n*   `authDomain` (*type:* `String.t`, *default:* `nil`) - The domain Firebase Auth configures for OAuth redirects, in the format: PROJECT_ID.firebaseapp.com\n*   `databaseURL` (*type:* `String.t`, *default:* `nil`) - **DEPRECATED.** _Instead, find the default Firebase Realtime Database instance name using the [list endpoint](https://firebase.google.com/docs/reference/rest/database/database-management/rest/v1beta/projects.locations.instances/list) within the Firebase Realtime Database REST API. Note that the default instance for the Project might not yet be provisioned, so the return might not contain a default instance._ The default Firebase Realtime Database URL.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - **DEPRECATED.** _Instead, use product-specific REST APIs to find the location of resources._ The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project.\n*   `measurementId` (*type:* `String.t`, *default:* `nil`) - The unique Google-assigned identifier of the Google Analytics web stream associated with the `WebApp`. Firebase SDKs use this ID to interact with Google Analytics APIs. This field is only present if the `WebApp` is linked to a web stream in a Google Analytics App + Web property. Learn more about this ID and Google Analytics web streams in the [Analytics documentation](https://support.google.com/analytics/answer/9304153). To generate a `measurementId` and link the `WebApp` with a Google Analytics web stream, call [`AddGoogleAnalytics`](../../v1beta1/projects/addGoogleAnalytics). For apps using the Firebase JavaScript SDK v7.20.0 and later, Firebase dynamically fetches the `measurementId` when your app initializes Analytics. Having this ID in your config object is optional, but it does serve as a fallback in the rare case that the dynamic fetch fails.\n*   `messagingSenderId` (*type:* `String.t`, *default:* `nil`) - The sender ID for use with Firebase Cloud Messaging.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Immutable. A user-assigned unique identifier for the `FirebaseProject`.\n*   `storageBucket` (*type:* `String.t`, *default:* `nil`) - **DEPRECATED.** _Instead, find the default Cloud Storage for Firebase bucket using the [list endpoint](https://firebase.google.com/docs/reference/rest/storage/rest/v1beta/projects.buckets/list) within the Cloud Storage for Firebase REST API. Note that the default bucket for the Project might not yet be provisioned, so the return might not contain a default bucket._ The default Cloud Storage for Firebase storage bucket name.","ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.t/0","doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}